## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# No tests provided by upstream.
%bcond_with     tests

%global         srcname     azure-mgmt-cognitiveservices

Name:           python-%{srcname}
Version:        13.3.0
Release:        %autorelease
Summary:        Microsoft Azure Cognitive Services Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Cognitive Services Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 13.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 01 2022 Major Hayden <major@redhat.com> 13.3.0-1
- Update to 13.3.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 13.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 05 2022 Major Hayden <major@redhat.com> 13.2.0-1
- Update to 13.2.0

* Thu Jun 23 2022 Major Hayden <major@redhat.com> 13.1.0-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 13.1.0-2
- Rebuilt for Python 3.11

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> 13.1.0-1
- Update to 13.1.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 13.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Major Hayden <major@mhtx.net> 13.0.0-1
- Update to 13.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 12.0.0-4
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 12.0.0-3
- Remove python version macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 12.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> 12.0.0-1
- Initial import (#1971786)
